=== doc/Makefile ===
TOP_DIR = ..

SUBDIRS = api

include $(TOP_DIR)/rules.mk

all: api
