=== doc/api/Makefile ===
TOP_DIR = ../..

include $(TOP_DIR)/rules.mk

DIRS = $(SRC_DIR) $(SRC_DIR)/DBSpec $(SRC_DIR)/drivers/hsql $(SRC_DIR)/drivers/wxhaskell

.PHONY = html

all: html

html: $(addsuffix /*.hs, $(DIRS))
	$(HADDOCK) -p $(TOP_DIR)/doc/descript -t HaskellDB -h $^

clean:
	-rm -f *.html haddock.css haskell_icon.gif
