## haskelldb 0.12

=== debian/changelog ===
haskelldb (0.12-8) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * Remove doc-base.

  [ Marco Silva ]
  * Use ghc instead of ghc

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Wed, 25 May 2011 11:55:43 +0100

haskelldb (0.12-7) unstable; urgency=low

  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 21:32:37 -0300

haskelldb (0.12-6) unstable; urgency=low

  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 17 Mar 2010 17:16:07 -0300

haskelldb (0.12-5) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Joachim Breitner ]
  * Fix-source-encoding.patch: Haskell sources have to be utf8. (Closes:
    #570881)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Feb 2010 15:42:53 +0100

haskelldb (0.12-4) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 19:31:32 +0100

haskelldb (0.12-3) unstable; urgency=low

  * Build-Depend on the right -prof packages (Closes: #546307)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 12 Sep 2009 19:18:26 +0200

haskelldb (0.12-2) unstable; urgency=low

  * Add a profiling library package, to be consistent with the rest of the
    Debian Haskell packages. 

 -- Joachim Breitner <nomeata@debian.org>  Wed, 09 Sep 2009 10:48:29 +0200

haskelldb (0.12-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use Debian Haskell Group as Maintainer.
  * debian/control: Use one line per dependencie.
  * Remove spaces in the end of the lines.

  [ Joachim Breitner ]
  * New upstream release. 
  * Update packaging to current common practice 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 08 Sep 2009 19:08:37 +0200

haskelldb (0.10-5) unstable; urgency=low

  * debian/haskell-haskelldb-doc.doc-base:
    - Change doc-base section to Programming/Haskell as it should be.

 -- Arjan Oosting <arjan@debian.org>  Wed, 30 Apr 2008 23:13:40 +0200

haskelldb (0.10-4) unstable; urgency=low

  * debian/control:
    - Drop un-needed build dependencies on autotools-dev, dctrl-tools and
      libghc-mtl-prof.
    - Drop the ${binary:Version} in the dependency on haskelldb-bin which
      is build from another source package.
    - Let the VCS-* fields point to the trunk.
  * debian/haskelldb-dev.{dirs,install}: removed this cruft.
  * Setup.lhs: Removed this cruft also.

 -- Arjan Oosting <arjan@debian.org>  Wed, 30 Apr 2008 23:07:05 +0200

haskelldb (0.10-3) unstable; urgency=low

  * Fix lintian warning "doc-base-unknown-section haskelldb-api:5
    Apps/Programming"

 -- Arjan Oosting <arjan@debian.org>  Mon, 17 Mar 2008 00:01:05 +0100

haskelldb (0.10-2) unstable; urgency=low

  * Rebuild with haskell-devscripts 0.6.6 to get the correct path to the
    API documentation in the package configuration file.

 -- Arjan Oosting <arjan@debian.org>  Mon, 21 Jan 2008 02:24:04 +0100

haskelldb (0.10-1) unstable; urgency=low

  * New upstream release. (Closes: #446568)
  * Because the Haskell library has been divided into a couple of Haskell
    libraries a couple of new Debian packages corresponding to the new
    libraries are introduced.
  * Updated for GHC 6.8.2 and Cabal version 1.2.3.0:
    - debian/control:
      + Bump the build dependency on GHC to (>= 6.8.2) as we need a Cabal
        version >= 1.2
    - debian/patches/01_update-cabal-file.dpatch: 
      + Add directory, old-locale, old-time and pretty to the build
        dependecies.
      + Add FlexibleContexts, FlexibleInstances, FunctionalDependencies,
        PatternSignatures, RankNTypes, ScopedTypeVariables and
        TypeSynonymInstances to the list of needed Extensions.
  * debian/control:
    - Remove all unneccesary build dependencies.
    - Remove the haskelldb-bin binary package, which will now be build
      from haskelldb-dynamic source package.
    - Add Homepage field and use the official Vcs-* fields.
    - Bump build dependency on haskell-devscripts to 0.6.0 which ships
      dh_haskell_depends.
    - Bump Standards-Version to 3.7.3. No changes needed.
    - Make doc-base a Suggest instead of a Recommends.
    - Add ghc-doc and libghc-mtl-doc to the Recommends.
    - Rename haskelldb-doc to haskell-haskelldb-doc so dh_haskell will
      detect it as an handled package and automatically generate the
      Haddock documentation.
    - Make haskelldb-doc an transitional package.
  * debian/rules:
    - dh_haskell_install does not install empty directories anymore so no
      need to cleanup after it. It also adjusts the path to the
      documentation generated by haddock so stop adjusting it here.
    - dh_haskell now handles the generating and installation of the
      haddock documentation so remove this code as well.
  * debian/mk-haskell-depends: Removed. Replaced by dh_haskell_depends.
  * debian/watch: Update the uscan file to new upstream location.
    (Closes: #450071)
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 13 Jan 2008 19:39:24 +0100


