## haskelldb 2.1.1

=== debian/changelog ===
haskelldb (2.1.1-5build3) quantal; urgency=low

  * No-change rebuild against GHC 7.4.2-2 ABIs

 -- Iain Lane <laney@ubuntu.com>  Sat, 11 Aug 2012 13:29:58 +0000

haskelldb (2.1.1-5build2) quantal; urgency=low

  * No-change rebuild for ABI change on powerpc.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 11 Jul 2012 12:51:24 -0400

haskelldb (2.1.1-5build1) quantal; urgency=low

  * No-change rebuild for new ghc ABI.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 10 Jul 2012 00:35:12 +0400

haskelldb (2.1.1-5) unstable; urgency=low

  * Use standard docs directory, avoids upgrade problems.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:40:38 +0200

haskelldb (2.1.1-4) unstable; urgency=low

  * Bump mtl dependency also in debian/control 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:21:26 +0200

haskelldb (2.1.1-3) unstable; urgency=low

  * debian/patches/bump-mtl-dependency 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 19:17:49 +0200

haskelldb (2.1.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package.

 -- Clint Adams <clint@debian.org>  Thu, 09 Feb 2012 21:36:03 -0500

haskelldb (2.1.1-1) unstable; urgency=low

  * New upstream release 2.1.1
  * Update build-depends for new upstream release 
  * Don't mention 'GHC 6' in package descriptions 
  * Remove obsolete patches 

 -- Iain Lane <laney@debian.org>  Sun, 29 May 2011 12:25:35 +0100
