=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Build-Depends: debhelper (>= 7)
  , cdbs
- , haskell-devscripts (>= 0.7)
+ , haskell-devscripts (>= 0.8.13)
  , ghc 
  , ghc-prof
  , ghc-doc
- , libghc-mtl-dev
- , libghc-mtl-prof
+ , libghc-mtl-dev (>= 1.1)
+ , libghc-mtl-dev (<< 2.2)
+ , libghc-mtl-prof 
  , libghc-mtl-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://haskelldb.sourceforge.net/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskelldb/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskelldb
@@ -26,7 +27,7 @@
 Description: Haskell library for expressing database queries
  HaskellDB is library for expressing database queries and operations
  in a type safe and declarative way. This package contains the library
- for use with GHC 6.
+ for use with GHC.
  .
  HaskellDB compiles a relational algebra-like syntax into SQL, submits
  the operations to the database for processing, and returns the
@@ -41,7 +42,7 @@
 Description: Haskell library for expressing database queries; profiling libraries
  HaskellDB is library for expressing database queries and operations
  in a type safe and declarative way. This package contains the library
- for use with GHC 6.
+ for use with GHC.
  .
  HaskellDB compiles a relational algebra-like syntax into SQL, submits
  the operations to the database for processing, and returns the
