## haskelldb 2.2.2

=== debian/changelog ===
haskelldb (2.2.2-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:23 +0200

haskelldb (2.2.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Feb 2013 21:02:21 +0100
