=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.13)
  , ghc 
  , ghc-prof
  , ghc-doc
  , libghc-mtl-dev (>= 1.1)
- , libghc-mtl-dev (<< 2.2)
+ , libghc-mtl-dev (<< 3)
  , libghc-mtl-prof 
  , libghc-mtl-doc
 Standards-Version: 3.9.4
